Delete Asset
Permanently delete an asset and remove it from all digital products.
Last updated
API reference
Terminal window
filemonk.ioContactPrivacy policyTermsHelp center
Path parameters
Section titled “Path parameters”-
id(string, path, required)The asset’s unique identifier (UUID).
Response
Section titled “Response”Returns 204 No Content on success. This action is permanent and cannot be undone.
Example request
curl -X DELETE 'https://app.filemonk.io/api/v1/external/assets/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \ -H 'X-Auth-Token: fm_api_key_your_key_here'const assetId = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';await fetch( `https://app.filemonk.io/api/v1/external/assets/${assetId}`, { method: 'DELETE', headers: { 'X-Auth-Token': 'fm_api_key_your_key_here' } });asset_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'requests.delete( f'https://app.filemonk.io/api/v1/external/assets/{asset_id}', headers={'X-Auth-Token': 'fm_api_key_your_key_here'})Example response
{ "error": "Asset not found"}Was this page helpful?
Thanks for letting us know.
Still stuck? Ask Quinn or chat with support